Skip to content
Developer

CustomerAppMenuGroup

System and settings6 EndpointsSettings / CustomerAppMenuGroup

Returns a list of all CustomerAppMenuGroup entries

GET/api/settings/customer_app_menu_group

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group \
  --header 'x-iw-jwt-token: <TOKEN>'

Add a new CustomerAppMenuGroup

POST/api/settings/customer_app_menu_group

Request body application/json

  • dataCustomerAppMenuGroup
    Show fields (9)
    • idinteger

      Primary key of the menu group. Internal ID.

    • group_keystring

      Unique key of the menu group.

    • titlestring

      Title of the menu group shown in the app.

    • sort_orderinteger

      Position of the group in the menu.

    • visibility_rulestring

      Rule that decides when the group is visible.

    • menu_itemsarray<CustomerAppMenuItem2>

      Menu items in the group.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "group_key": "string",
    "sort_order": 1,
    "visibility_rule": "string",
    "deleted": true
  }
}
'

Returns a single CustomerAppMenuGroup entry.

GET/api/settings/customer_app_menu_group/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group/42 \
  --header 'x-iw-jwt-token: <TOKEN>'

Updates an existing CustomerAppMenuGroup entry.

PUT/api/settings/customer_app_menu_group/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppMenuGroup
    Show fields (9)
    • idinteger

      Primary key of the menu group. Internal ID.

    • group_keystring

      Unique key of the menu group.

    • titlestring

      Title of the menu group shown in the app.

    • sort_orderinteger

      Position of the group in the menu.

    • visibility_rulestring

      Rule that decides when the group is visible.

    • menu_itemsarray<CustomerAppMenuItem2>

      Menu items in the group.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "group_key": "string",
    "sort_order": 1,
    "visibility_rule": "string",
    "deleted": true
  }
}
'

Updates an existing CustomerAppMenuGroup entry.

PATCH/api/settings/customer_app_menu_group/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataCustomerAppMenuGroup
    Show fields (9)
    • idinteger

      Primary key of the menu group. Internal ID.

    • group_keystring

      Unique key of the menu group.

    • titlestring

      Title of the menu group shown in the app.

    • sort_orderinteger

      Position of the group in the menu.

    • visibility_rulestring

      Rule that decides when the group is visible.

    • menu_itemsarray<CustomerAppMenuItem2>

      Menu items in the group.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

Responses

default

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "id": 42,
    "title": "Beispiel",
    "group_key": "string",
    "sort_order": 1,
    "visibility_rule": "string",
    "deleted": true
  }
}
'

Delete a CustomerAppMenuGroup (soft delete)

DELETE/api/settings/customer_app_menu_group/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/settings/customer_app_menu_group/42 \
  --header 'x-iw-jwt-token: <TOKEN>'